#pragma once

#include "ShaderInterface.h"

#include <C2/gl/GlslShader.h>



class NormalColorShader : public ShaderInterface
{
public:
	NormalColorShader(ShaderContext* context) :
		ShaderInterface(context)
	{
	}

	const char* GetShaderName(void)
	{
		return "NormalColorShader";
	}

	bool Initialize(const std::string& shader_libdir);

	void Release(void);

	virtual void BeginShader(void);
	virtual void EndShader(void);


private:
	lib_gl::GlslProgram m_Program;
};
